For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet contract
        • GETGet all contracts
        • POSTCreate contract
        • DELDelete contract
        • PATCHUpdate contract
        • GETGet contract providers
        • GETGet contract provider credentialing spans
        • POSTAdd providers to contract
        • DELRemove providers from contract
        • POSTCreate contract service facility
        • PATCHUpdate contract service facility
Contact Sales
LogoLogo
API ReferenceContractsV3

Add providers to contract

Beta
POST
/api/contracts/v3/:contract_id/providers
POST
/api/contracts/v3/:contract_id/providers
$curl -X POST https://api.joincandidhealth.com/api/contracts/v3/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/providers \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "rendering_provider_ids": [
> "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
> ]
>}'
1{
2 "provider_count": 1,
3 "added_count": 1,
4 "ignored_count": 1
5}
Appends a list of rendering provider IDs to the contract. Provider IDs already on the contract are silently ignored.
Was this page helpful?
Previous

Remove providers from contract

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

contract_idUUIDRequired

Request

This endpoint expects an object.
rendering_provider_idsset of UUIDsRequired
Provider IDs to add to the contract. Max 100,000 per request.

Response

This endpoint returns an object.
provider_countinteger
The total number of rendering providers currently associated with this contract after the operation
added_countinteger
The number of rendering providers that were newly added to the contract
ignored_countinteger
The number of rendering provider IDs that were already associated with the contract and thus ignored

Errors

404
Entity Not Found Error
422
Unprocessable Entity Error